regina::FuncNew< T > Struct Template Reference
Miscellaneous Utilities

An adaptable generator used to create objects using default constructors. More...

`#include <utilities/memutils.h>`

## Public Types

typedef T * | result_type
| The return type for this generator. More...

## Public Member Functions

T * | operator() () const
| Creates a new object using the default constructor. More...

## Detailed Description

### template<class T>
struct regina::FuncNew< T >

An adaptable generator used to create objects using default constructors.

This class is for use with the Standard Template Library.

Note that the template argument need not be a pointer class. If the template argument is `T`, this generator will return a pointer to a newly created object of type `T`.

Python:
  Not present.

## Member Typedef Documentation

## result_type

template<class T >

typedef T* regina::FuncNew< T >::result_type

The return type for this generator.

## Member Function Documentation

## operator()()

template<class T >

T* regina::FuncNew< T >::operator() | ( |  | ) | const

inline

Creates a new object using the default constructor.

Returns
  the newly created object.

The documentation for this struct was generated from the following file:

- utilities/memutils.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).